#pragma once

#include <balancer/kernel/memory/chunks.h>
#include <library/cpp/coroutine/engine/impl.h>

#include <util/network/poller.h>
#include <util/stream/output.h>
#include <util/system/pipe.h>

namespace NSrvKernel {
    class TTwoNonblockingPipes {
    public:
        TTwoNonblockingPipes();

        TPipe& Input();
        TPipe& Output();

        void Init();
        void Close();

    private:
        TPipe Input_;
        TPipe Output_;
    };
}
